[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Vitess_output` Component

Write neutron state parameters to VITESS neutron file.

## Identification

- Author: Kristian Nielsen
- Origin: McStas 1.5.0
- Date: June 6, 2000
- Version: 1.17
- Modification history:
  - E. Farhi, Sep 28th, 2001: added spin

## Description

    Detector-like component writing neutron state parameters to a
    VITESS neutron file. Used to interface McStas components or
    simulations into VITESS. Each neutron is 104 bytes.

    Note that when standard output is used, as is the default, no
    monitors or other components that produce terminal output must be
    used, or the neutron output from this component will become
    corrupted.

    Example: Vitess_output(file="MySource.vit", bufsize = 10000, progress = 1)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file | string | Filename of neutron file to write. Default is standard output | 0
bufsize | records | Size of neutron output buffer | 10000
progress | flag | If not zero, output dots as progress indicator | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
hfile |  |  |
buf |  |  |
pos |  |  |

## Links

- Source code for `Vitess_output.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]